<app-page-data-list
  pageTitle="مدیریت برند دستگاه‌ها"
  [addNewCtaLabel]="'افزودن برند دستگاه‍‍'"
  [columns]="columns"
  [showAdd]="true"
  emptyPlaceholderTitle="برند دستگاه یافت نشد"
  emptyPlaceholderDescription="برای افزودن برند دستگاه، روی دکمهٔ بالا کلیک کنید."
  [items]="items()"
  [loading]="loading()"
  [showAdd]="true"
  [showEdit]="true"
  (onAdd)="openAddForm()"
  (onEdit)="onEditClick($event)"
  (onRefresh)="refresh()"
/>
<deviceBrand-form
  [(visible)]="visibleForm"
  [editMode]="editMode()"
  [brandId]="selectedItemForEdit()?.id"
  [initialValues]="selectedItemForEdit() || undefined"
  (onSubmit)="refresh()"
/>
